//!
//!

///
#[derive(Eq, Hash, Debug, Clone, Copy, PartialEq, PartialOrd, diesel_derive_enum::DbEnum)]
pub enum SettlementType {
  Rolling,
  Loosing,
}

///
#[derive(Eq, Hash, Debug, Clone, Copy, PartialEq, PartialOrd, diesel_derive_enum::DbEnum)]
pub enum ManualPaymentType {
  Disable,
  AllChildPartner,
  OnlyDirectPartner,
}

table! {
  use diesel::sql_types::{Uuid, BigInt, Bool, Double};
  use super::{SettlementTypeMapping, ManualPaymentTypeMapping};

  ///
  member_settlement_settings(id) {
    ///
    id -> Uuid,
    ///
    member_id -> Uuid,
    ///
    can_exchange -> Bool,
    ///
    can_first_charge_comp -> Bool,
    ///
    can_per_charge_comp -> Bool,
    ///
    manual_payment_type_for_partner -> ManualPaymentTypeMapping,
    ///
    settlement_type -> SettlementTypeMapping,
    ///
    rate_casino -> Double,
    ///
    rate_casino_loosing -> Double,
    ///
    rate_casino_bacara -> Double,
    ///
    rate_casino_roulette -> Double,
    ///
    rate_casino_dragon_tiger -> Double,
    ///
    rate_slot -> Double,
    ///
    rate_slot_loosing -> Double,
    ///
    rate_powerball_single -> Double,
    ///
    rate_powerball_combo -> Double,
    ///
    rate_powerladder_single -> Double,
    ///
    rate_powerladder_combo -> Double,
    ///
    rate_eos_single -> Double,
    ///
    rate_eos_combo -> Double,
    ///
    rate_bogglepowerball_single -> Double,
    ///
    rate_bogglepowerball_combo -> Double,
    ///
    created_at -> BigInt,
    ///
    updated_at -> BigInt,
  }
}
